Name: default_passwd
Version: 0.0.3
Release: 1
Group: System/Utilities
Summary: Default /etc/passwd and /etc/group files
Copyright: GPL
Packager : Pierre-Philippe Coupard <pierre@lineo.com>
Buildroot: /tmp/%{Name}-%{Version}
Source: default_passwd-%{Version}.tar.gz

%Description
Default /etc/passwd and /etc/group. Note that no passwords are set.

%Prep
%setup -q -n default_passwd-%{Version}

%Build
echo "PWD=`pwd`"

#######################################
### Ensure the root directory exist ###
### And has the desired permissions ###
#######################################
if [ ! -d root ]; then
	mkdir root
fi
chmod 755 root

#########################################
########## Build root/.profile ##########
#########################################
FILE=root/.profile
echo "Building ${FILE}"
cat << 'EOD' > ${FILE}
# %ENV;

PATH=$HOME/bin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/X11R6/bin
PS1="# "

export PATH PS1

if [ -n "$BASH_VERSION" ]; then
	if [ -r "$HOME/.bashrc" ]; then
		. $HOME/.bashrc
	fi
fi
EOD

#######################################
######### Build /root/.bashrc #########
#######################################
FILE2=root/.bashrc
echo "Building ${FILE2}"
cat << 'EOD' > ${FILE2}
# The individual per-interactive-shell startup file for bash

EOD
 
#######################################
### Ensure the etc directory exist  ###
### And has the desired permissions ###
#######################################
if [ ! -d etc ]; then
	mkdir etc
fi
chmod 755 etc

#####################################
########## Build etc/group ##########
#####################################
FILE=etc/group
echo "Building ${FILE}"
cat << 'EOD' > ${FILE}
root:x:0:
wheel:x:10:
bin:x:1:bin,daemon
daemon:x:2:bin,daemon
sys:x:3:bin,adm
adm:x:4:adm,daemon
tty:x:5:
disk:x:6:
lp:x:7:daemon,lp
mem:x:8:
kmem:x:9:
operator:x:11:
uucp:x:14:uucp
dip:x:40:
utmp:x:45:
www:x:63:
nobody:x:65534:
users:x:100:
EOD

######################################
########## Build etc/passwd ##########
######################################
FILE=etc/passwd
echo "Building ${FILE}"
cat << 'EOD' > ${FILE}
root:x:0:0:root:/root:/bin/sh
bin:x:1:1:bin:/bin:/bin/sh
daemon:x:2:2:daemon:/usr/sbin:/bin/sh
adm:x:3:4:adm:/adm:/bin/sh
lp:x:4:7:lp:/var/spool/lpd:/bin/sh
sync:x:5:0:sync:/bin:/bin/sync
shutdown:x:6:11:shutdown:/sbin:/sbin/shutdown
halt:x:7:0:halt:/sbin:/sbin/halt
uucp:x:10:14:uucp:/var/spool/uucp:/bin/sh
operator:x:11:0:Operator:/var:/bin/sh
nobody:x:65534:65534:nobody:/home:/bin/sh
EOD

######################################
########## Build etc/shadow ##########
######################################
FILE=etc/shadow
echo "Building ${FILE}"
cat << 'EOD' > ${FILE}
root::10933:0:99999:7:::
bin:*:10933:0:99999:7:::
daemon:*:10933:0:99999:7:::
adm:*:10933:0:99999:7:::
lp:*:10933:0:99999:7:::
sync:*:10933:0:99999:7:::
shutdown:*:10933:0:99999:7:::
halt:*:10933:0:99999:7:::
uucp:*:10933:0:99999:7:::
operator:*:10933:0:99999:7:::
nobody:*:10933:0:99999:7:::
EOD

#########################################
########## Build etc/securetty ##########
#########################################
FILE=etc/securetty
echo "Building ${FILE}"
cat << 'EOD' > ${FILE}
console
tty1
tty2
tty3
tty4
tty5
tty6
tty7
tty8
ttyS0
ttyS1
ttyS2
ttyS3
EOD


%Install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cp -a $RPM_BUILD_DIR/%{Name}-%{Version}/* $RPM_BUILD_ROOT/

%Clean
rm -rf $RPM_BUILD_ROOT

%Files 
%defattr(-,root,root)
/
