/*
	   SDL - Simple DirectMedia Layer
	   Copyright (C) 1997, 1998, 1999, 2000, 2001  Sam Lantinga
	   Copyright (C) 2002 
	   Afterwards Anthony Hu of ESD Sapporo edited this file. 

	   This library is free software; you can redistribute it and/or
	   modify it under the terms of the GNU Library General Public
	   License as published by the Free Software Foundation; either
	   version 2 of the License, or (at your option) any later version.

	   This library is distributed in the hope that it will be useful,
	   but WITHOUT ANY WARRANTY; without even the implied warranty of
	   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	   Library General Public License for more details.

	   You should have received a copy of the GNU Library General Public
	   License along with this library; if not, write to the Free
	   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	   Sam Lantinga
	   slouken@devolution.com

***
	   Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

	   3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
	   Phone: +81-266-52-3131

*/


#ifndef _SDL_xillaudio_h
#define _SDL_xillaudio_h

#include "SDL_sysaudio.h"
#include <ati_defs.h>
#include <acl.h>
#include <ati_core.h>

/* Hidden "this" pointer for the video functions */
#define _THIS	SDL_AudioDevice *this

struct SDL_PrivateAudioData {
	//these are gonna go!!
	int state;

	ACL_HANDLE chip;
	ACL_HANDLE ac97;
	ACL_HANDLE aclink;
	ACL_HANDLE am;
	ACL_HANDLE ap;
	ACL_HANDLE si;
	ACL_HANDLE i2so;
	ACL_HANDLE provider;
	ACL_HANDLE spd;
	ACL_HANDLE container;

	ACL_SI_BUFFER_INFO *bufchain;
	UINT32 numChainElem;
	UINT32 curChainElem;
	int prodConDelta;

	SDL_AudioSpec *spec ;  

	SDL_mutex *mutex ;   
	SDL_cond *cond ;   
};

#endif /* _SDL_xillaudio_h */
