/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/ 



#ifndef SDL_ACL_SCALARS
#define SDL_ACL_SCALARS

#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <string.h>

#ifndef NDEBUG
#define TDEBUG
#endif



#define SDL_ACL_OVL_RGB_ENV_NAME        "SDL_ACL_RGB_SURFACE" 
#define SDL_ACL_OVL_YUV_ENV_NAME        "SDL_ACL_YUV_OVERLAY"

#define SDL_ACL_OVL_G0_VALUE    "g0"
#define SDL_ACL_OVL_V0_VALUE    "v0"
#define SDL_ACL_OVL_V1_VALUE    "v1"
#define SDL_ACL_OVL_NONE_VALUE  "none"


#define SDL_ACL_OVL_SCALAR_NONE 0
#define SDL_ACL_OVL_SCALAR_G0   1
#define SDL_ACL_OVL_SCALAR_V0   2
#define SDL_ACL_OVL_SCALAR_V1   3


#define SDL_ACL_OVL_INVALID     -1
#define SDL_ACL_OVL_RGBV0_YUVV1 1
#define SDL_ACL_OVL_RGBV0       2 
#define SDL_ACL_OVL_RGBV1       3
#define SDL_ACL_OVL_RGBG0_YUVV0 4
#define SDL_ACL_OVL_RGBG0_YUVV1 5

int ACL_CheckEnvForScalars(int* rgb, int* yuv) ; 

#endif /* SDL_ACL_SCALARS */
