/*
    SDL - Simple DirectMedia Layer
    Copyright (C) 1997, 1998, 1999, 2000, 2001  Sam Lantinga

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Sam Lantinga
    slouken@devolution.com

***
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

*/

#ifdef SAVE_RCSID
static char rcsid =
 "@(#) $Id: SDL_aclyuv_c.h,v 1.2 2004/01/30 08:39:13 ahu Exp $";
#endif

#ifndef SDL_ACL_YUV_H
#define SDL_ACL_YUV_H

#include "SDL_video.h"
#include "SDL_sysvideo.h"

/* This is the software implementation of the YUV video overlay support */

extern SDL_Overlay *ACL_CreateYUV(_THIS, int width, int height, 
                                  Uint32 format, SDL_Surface *display);

extern int ACL_LockYUV(_THIS, SDL_Overlay *overlay);

extern void ACL_UnlockYUV(_THIS, SDL_Overlay *overlay);

extern int ACL_DisplayYUV(_THIS, SDL_Overlay *overlay, SDL_Rect *dstrect);

extern void ACL_FreeYUV(_THIS, SDL_Overlay *overlay);

extern void ACL_ZoomYUV(_THIS, SDL_Overlay *overlay, SDL_Rect *srcrect);

extern void ACL_HideYUV(_THIS, SDL_Overlay *overlay);
#endif /* SDL_ACL_YUV_H */
