/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef _SDL_e21_h
#define _SDL_e21_h

#include "SDL_types.h"
#include "libkeyinput.h"	


#ifdef __cplusplus
extern "C" {
#endif



#define RECEIVE_EVENT_ID (EV_KEYMAKE|EV_KEYBREAK|EV_LANG|EV_PWSTATUS)

#define SDL_E21_MAGIC				0x10101010


#define SDL_E21_SUCCESS				0
#define	SDL_E21_ERR_FATAL			-1


typedef struct {
	Uint32 code;		
	Uint8  param[3];	
} SDL_E21Event;


extern int  SDL_E21Init(void);
extern void SDL_E21Quit(void);


#ifdef __cplusplus
}
#endif

#endif 
