/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef SDL_JPEG_H
#define SDL_JPEG_H

#include "SDL.h"
#include "SDL_util.h"
#ifdef __cplusplus
extern "C" {
#endif 

	
#define		SDL_JPEG_THUMBNAIL_SIZE		150

	
	typedef enum {
		SDL_JPEG_SCALE_THUMBNAIL = 0,	
		SDL_JPEG_SCALE_FULL = 1,		
		SDL_JPEG_SCALE_HALF = 2,		
		SDL_JPEG_SCALE_QUARTER = 4,		
		SDL_JPEG_SCALE_EIGHTH = 8	   	
	} SDL_JpegScale;


  
  
  
    
  	extern SDL_Surface* SDL_LoadJPG( const char* file,
    					 SDL_JpegScale scale );
    
   
	extern int SDL_JPGDimension( const char* file,
    					 int *width, int *height );
   

  
  
  
extern SDL_Surface*
SDL_LoadJPGLowMem( const char * file,
	    SDL_Rect * dstrect,
	    SDL_RotateAngle angle,
	    SDL_StretchMode mode,
	    SDL_bool keepRatio ); 


#ifdef __cplusplus
}
#endif 
#endif 



