/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include <stdlib.h>
#include <unistd.h>
#include <sys/time.h>
#include <SDL.h>

static void test(int depth)
{
         int initFlags = SDL_INIT_VIDEO;
	 int i, color;
	 SDL_Surface *screen;
	 struct timeval cur, old;
	 unsigned int t;
        if (SDL_Init(initFlags) == -1) {
                exit(EXIT_FAILURE);
        }
        atexit(SDL_Quit);

        SDL_ShowCursor(SDL_DISABLE);

        screen = SDL_SetVideoMode(1024, 768, depth, SDL_SWSURFACE);
        if (!screen) {
                exit(EXIT_FAILURE);
        }

	gettimeofday(&old, NULL);	
	for (i = 0; i < 256; i++) {
		color = rand();
		SDL_FillRect(screen, NULL, SDL_MapRGB(screen->format,
			color & 0xff , (color & 0xff00) >> 8, (color & 0xff0000) >> 16));

		SDL_UpdateRect(screen, 0, 0, 0, 0);
		fprintf(stderr, ".");
	}
	gettimeofday(&cur, NULL);

	t = (cur.tv_sec - old.tv_sec) * 1000;
	if (cur.tv_usec > old.tv_usec) {
		t += (cur.tv_usec - old.tv_usec) / 1000;
	} else {
		t += (cur.tv_usec +(1000000 - old.tv_usec)) / 1000;
		t -= 1000;
	}

	printf("\n\n256 times full screen(%d bit) draw time: %d msec\n", depth, t);
}

int main(int argc, char **argv)
{
	 int depth;
	if (argc < 2)
		exit(EXIT_FAILURE);
	depth = atoi(argv[1]);
	if (depth != 16 && depth != 32)
		exit(EXIT_FAILURE);	
	fprintf(stderr, "bench: start\n");
	test(depth);

	return 0;	
}
