/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef BTNBOX_H
#define BTNBOX_H

#include "Grain.h"
#include "BtnBoxItem.h"

extern "C" {

const ::SDL_Rect BTNBOX_RECT = {199, 0, 825, 64};
}

typedef BtnBoxItem::BtnStatus BtnStatus;

class View;

class BtnBox : public Grain {
public:
	
	enum BtnID {
		Btn1	= 0,
		Btn2,
		Btn3,
		Btn4
	};

public:
static BtnBox*		Instance		(::SDL_Surface		*screen = NULL,
									 const ::SDL_Rect&	rect = BTNBOX_RECT) {
	if (instance == NULL && screen != NULL) {
		new BtnBox(screen, rect);
		if (instance && instance->Init()) {
			delete instance;
		}
	}
	return instance;
}

protected:
		BtnBox						(::SDL_Surface		*screen,
									 const ::SDL_Rect&	rect);
	virtual	~BtnBox					();

public: 
	virtual int			Init		();
	
	virtual int			Draw		();

	virtual void		Update		();

	virtual ProcStatus	Event		(const ::SDL_Event&	event);

public:
	int					SetBtnStatus(const BtnID		id,
									 const BtnBoxItem::BtnStatus stat);

	int					SetBtnType	(const BtnID		id,
									 const BtnBoxItem::BtnType type);

	int					SetBtn		(const BtnID		id,
									 const BtnBoxItem::BtnStatus stat,
									 const BtnBoxItem::BtnType type);

	BtnStatus			GetBtnStatus(const BtnID		id);

	BtnBoxItem::BtnType	GetBtnType	(const BtnID		id);
									 

	void				SetTarget	(View*	target);

	
	View*				GetTarget	() {return m_target;}

	void				UnsetTarget	(View*	target);

	ProcStatus			DoCallback	(const BtnBoxItem::BtnType type);

protected:
	int					Redraw		();

protected:
	
	static BtnBox*	instance;

	
	View*			m_target;
};


#endif 
