/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef BTNBOXITEM_H
#define BTNBOXITEM_H

#include "Item.h"


class BtnBoxItem : public Item {
public:
	
	enum BtnType {
		BtnNone,		
		BtnPrevPage,	
		BtnNextPage,	
		BtnViewThumb,	
		BtnViewIcon,	
		BtnOK,			
		BtnCancel,		
		BtnUp,			
		BtnDown,		
        BtnReset,       
		BtnEject
	};

	
	enum BtnStatus {
		BtnActive,		
		BtnInactive,	
		BtnHidden		
	};

public:
		BtnBoxItem					(::SDL_Surface		*surface,
									 const ::SDL_Rect&	rect);
	virtual	~BtnBoxItem();

public: 
	int				Init			();

	int				Draw			();

	void			Update			();

protected: 
	ProcStatus		DoEnter			();

	ProcStatus		DoLeft			();

	ProcStatus		DoRight			();

	ProcStatus		DoUp			();

	ProcStatus		DoDown			();

	ProcStatus		DoPageUp		();

	ProcStatus		DoPageDown		();


public:
	BtnType			GetType			() {return m_type;}

	BtnStatus		GetStatus		() {return m_stat;}

	int				SetBtnType		(BtnType			type);

	int				SetBtnStatus	(BtnStatus			stat);

	int				Unselect		() {return Item::Unselect();}

protected:
	::SDL_Surface*	GetResource		() const; 

	int				CreateBtnImage	();

protected:
	
	BtnStatus		m_stat;

	
	BtnType			m_type;
};

#endif 

