/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef EVENTIMPL_H
#define EVENTIMPL_H


enum ProcStatus {
	
	ProcKeepGoing,

	
	
	ProcUpdateMe,

	
	
	ProcYield,

	
	ProcEnd,

    
    
    ProcUnhandled
};


class EventImpl {
protected:
		EventImpl						() {};
	
public: 
	virtual ProcStatus	Event			(const SDL_Event&	event);

protected: 
	virtual ProcStatus	EventActivate	(const SDL_Event&	event);

	virtual ProcStatus	EventKeyboard	(const SDL_Event&	event);

	virtual ProcStatus	EventMouse		(const SDL_Event&	event);

	virtual ProcStatus	EventJoystick	(const SDL_Event&	event);

	virtual ProcStatus	EventUser		(const SDL_Event&	event);

	virtual ProcStatus	EventWM			(const SDL_Event&	event);

	virtual ProcStatus	EventSystem		(const SDL_Event&	event);

	virtual ProcStatus	EventVideo		(const SDL_Event&	event);

	virtual int			FlashAllEvents		();

	virtual int			FlashKeyEvents		();


protected: 
	virtual ProcStatus	DoUp			()	{return ProcKeepGoing;}

	virtual ProcStatus	DoDown			()	{return ProcKeepGoing;}

	virtual ProcStatus	DoLeft			()	{return ProcKeepGoing;}

	virtual ProcStatus	DoRight			()	{return ProcKeepGoing;}

	virtual ProcStatus	DoEnter			()	{return ProcKeepGoing;}

	virtual ProcStatus	DoEscape		()	{return ProcKeepGoing;}

	virtual ProcStatus	DoPageUp		()	{return ProcKeepGoing;}

	virtual ProcStatus	DoPageDown		()	{return ProcKeepGoing;}
};

#endif 
