/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef ITEM_H
#define ITEM_H

#include "config.h" 
#include "Grain.h"


class Item : public Grain {
protected:
	Item(::SDL_Surface *screen, const ::SDL_Rect& rect)
	 : Grain(screen, rect) {m_selected = false;}

public:
	static Item*	GetSelectedItem	(Grain *obj);

	static int		GetSelectedItemIndex(Grain *obj);

public:
	
	virtual int		Select		() {m_selected = true; return 0;}

	
	const bool&		IsSelected	() {return m_selected;}

protected:
	
	virtual int		Unselect	() {m_selected = false; return 0;}

	
	int				Flash		(UIRsrcMgr::Rsrc flash,
								 UIRsrcMgr::Rsrc habitual,
								 int duration = FLASH_DURATION);

protected:
	
	bool	m_selected;
};

#endif 

