/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef NAVGUIDE_H
#define NAVGUIDE_H
 
#include "NavItem.h"


const ::SDL_Rect NAVGUIDE_DEFAULT_RECT = {0, 768 - 42, 1024, 42};


class NavGuide : public Grain {
public:
	
	enum IconID {
		Icon1,
		Icon2,
		Icon3,
		Icon4,
		Icon5
	};

public:
		NavGuide			(::SDL_Surface		*screen,
							 const ::SDL_Rect&	rect = NAVGUIDE_DEFAULT_RECT);

	virtual ~NavGuide		();

public: 
	int		Init			();

	int		Draw			();

public:
	int		SetDescription	(const IconID		id,
							 const NavItem::Description	descr);

	int		SetIcon			(const IconID		id,
							 const NavItem::Icon	icon); 

	int		SetIconDescr	(const IconID		id,
							 const NavItem::Icon	icon,
							 const NavItem::Description descr);
};

#endif 
