/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef NAVITEM_H
#define NAVITEM_H

#include "Grain.h"

class NavItem : public Grain {
public:
	enum Icon {
		IconHidden,		
		IconEnter,		
		IconESC,		
		IconCursor,		
		IconPageUp,		
		IconPageDown,	
		IconVert,	    
		IconHoriz	    
	};

	enum Description {
		DescrNone,		
		DescrDecide,	
		DescrSelect,	
		DescrNextPage,	
		DescrPrevPage,	
		DescrBack,		
		DescrCancel,	
		DescrOpFolder,	
		DescrProperty,	
		DescrPlMovie,	
		DescrPlPict,	
		DescrPlScenario,
		DescrToUp,		
		DescrMove,
		DescrToTop,     
		DescrMoveCursor,
		DescrRotate,	
		DescrSetting	
	};

public:
	NavItem								(SDL_Surface			*screen,
										 const SDL_Rect&		rect);
		virtual ~NavItem				();

public: 
	int					Init			();

	int					Draw			();

public:
	int					SetIcon			(const Icon icon);

	int					SetDescription	(const Description descr);

protected:
	::SDL_Surface*		GetResource		(const Icon icon) const;

	::SDL_Surface*		GetResource		(const Description descr) const;

protected:
	Icon				m_icon;

	Description			m_descr;
};

#endif 
