/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef RADIOBTNGRP_H
#define RADIOBTNGRP_H

#include "BaseGroup.h"

class RadioBtnGrp : public BaseGroup {
public:
		RadioBtnGrp					(const int			items,
									 const int			default_val,
									 ::SDL_Surface		*screen,
									 const ::SDL_Rect&	rect);
	virtual ~RadioBtnGrp();

public: 
	int				Activate	();
	
	int				Deactivate	();

	int				Init		();

	int				Draw		();

	void			Update		();

	ProcStatus		Event		(const ::SDL_Event&	event);

public: 
	int				Select		(bool);

	int				Unselect	() {return Item::Unselect();}

public: 
	int				GetValue	();

protected:
	int				m_default;
};

#endif 
