/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef RADIOBTNITEM_H
#define RADIOBTNITEM_H

#include "Item.h"

const ::SDL_Rect RADIOBTNITEM_DEFAULT_RECT = {0, 0, 39, 39};

class RadioBtnItem : public Item {
public:
		RadioBtnItem		(::SDL_Surface		*screen,
							 const ::SDL_Rect&	rect);

	~RadioBtnItem			();

public: 
	int			Init		();

	int			Draw		();

	void		Update		();

public:
	const bool&	IsOn		() {return m_on;}

	int			On			(bool immediate = true);

	int			Off			(bool immediate = true);

	int			Unselect	() {return Item::Unselect();}

protected:
	void		SetDrawableArea(const SDL_Rect& rect);

protected: 
	ProcStatus	DoEnter		();

	ProcStatus	DoUp		();

	ProcStatus	DoDown		();

	ProcStatus	DoPageUp	();

	ProcStatus	DoPageDown	();
	
protected:
	bool		m_on;
};

#endif 
