/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#ifndef UI_UTILS_H
#define UI_UTILS_H

#include "UIRsrcMgr.h"

namespace UIUtils {
	enum Xalign {
		XALIGN_LEFT,
		XALIGN_CENTER,
		XALIGN_RIGHT
	};

	enum Yalign {
		YALIGN_TOP,
		YALIGN_CENTER,
		YALIGN_BOTTOM
	};

	struct RsrcParam {
		UIRsrcMgr::Rsrc rsrc;
		int x;
		int y;
		Xalign xalign;
		Yalign yalign;
	};

	int DrawSurface(SDL_Surface *screen, SDL_Surface *surface, int x, int y,
		Xalign xalign = XALIGN_LEFT, Yalign yalign = YALIGN_TOP);

	int DrawResource(SDL_Surface *screen, UIRsrcMgr::Rsrc rsrc, int x, int y,
		Xalign xalign = XALIGN_LEFT, Yalign yalign = YALIGN_TOP);

	int DrawResource(SDL_Surface *screen, const struct RsrcParam* rsrcs,
			size_t num); 

	int DrawText(SDL_Surface *screen, const char *text, int x, int y,
		Xalign xalign = XALIGN_LEFT, Yalign yalign = YALIGN_TOP);
};

#endif 
