/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef VIEW_H
#define VIEW_H

#include "Grain.h"
#include "BtnBox.h"

const ::SDL_Rect RECT_VIEWER = {199, 65, 825, 656};

class View : public Grain {
public:
	enum Mode {
		Option = 0,
		FileList,
		SitEditor,
		ERDConf,
	};

protected:

public: 

    View					(::SDL_Surface		*screen,
                             const ::SDL_Rect&	rect = RECT_VIEWER)
        : Grain(screen, rect)
    {
        m_mode = Option;
        m_items = 0;
    }

	virtual		~View			() {}

	virtual void	Update		()
	{
		Grain::Update();
		assert(BtnBox::Instance());
		BtnBox::Instance()->Update();
	}

	virtual int		Draw		();

public:
	virtual ProcStatus	Callback(const BtnBoxItem::BtnType type);

	const Mode&		GetMode		() const {return m_mode;}

	const int&		GetItems	() const {return m_items;}

	virtual int		SetBtnBox	();

	virtual int		SetNavGuide	();

protected:
	
	virtual int		SelectLastItem	(); 

	virtual int		SelectTopItem	(); 

protected:
	Mode			m_mode;

	int				m_items;
};

#endif 
