/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef HELPER_H
#define HELPER_H

#include <SDL.h>

#ifndef _SYS_TIME_H
#include <sys/time.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
	const char *name;
	int x;
	int y;
} raw_rsrc_t;

#ifdef _DEBUG
extern int		debugf(const char *format, ...);
#endif


extern long		difftimeval(const struct timeval *a,
								const struct timeval *b);


extern int		draw_raw_rsrc(SDL_Surface *screen,
						const raw_rsrc_t *rsrc,
						int nums);

extern Uint8	get_lang();

#ifdef __cplusplus
}
#endif

#endif 
