/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include <limits.h>
#include "config.h"
#include "UIRsrcMgr.h"

#include "BaseDialog.h"

BaseDialog::
BaseDialog	(::SDL_Surface		*screen,
			 const ::SDL_Rect&	rect)
			: Grain(screen, rect)
{
	m_UpdateArea = drawable_area;
}


BaseDialog::
~BaseDialog()
{
}



int BaseDialog::
Init		()
{
	 int result;
	result = StoreOrigImage();
	if (result != 0) {
		return result;
	}

	return 0;
}



int BaseDialog::
Draw		()
{
	 int result;
	
	result = RestoreOrigImage();
	if (result != 0) {
		return result;
	}

	
	 ::SDL_Surface *surface;
	surface = UIRsrcMgr::Instance()->GetResource(UIRsrcMgr::dlgBackground);
	if (!surface) {
		return -1;
	}

	
	result = SDL_SetAlpha(surface, m_AlphaValue != UCHAR_MAX ? SDL_SRCALPHA : 0, m_AlphaValue);
	if (result != 0) {
		SDL_ERROR();
		return result;
	}

	
	result = ::SDL_BlitSurface(surface, NULL, m_screen, &m_UpdateArea);
	if (result != 0) {
		SDL_ERROR();
		return result;
	}

	return 0;
}


