/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include <unistd.h>
#include "config.h"

#include "Item.h"



Item* Item::
GetSelectedItem	(Grain *obj)
{
	 Grain *p = obj;
	
	while (p && p->GetPrev()) {
		p = p->GetPrev();
	}
	
	while (p) {
		assert(dynamic_cast<Item *>(p));
		if (reinterpret_cast<Item *>(p)->IsSelected()) {
			return reinterpret_cast<Item *>(p);
		}
		p = p->GetNext();
	}
	return NULL;
}



int Item::
GetSelectedItemIndex(Grain *obj)
{
	 Grain *p = obj;
	
	while (p && p->GetPrev()) {
		p = p->GetPrev();
	}

	 int index = 0;
	
	while (p) {
		assert(dynamic_cast<Item *>(p));
		if (reinterpret_cast<Item *>(p)->IsSelected()) {
			return index;
		}
		p = p->GetNext();
		index++;
	}

	return -1;
}



int Item::
Flash	(UIRsrcMgr::Rsrc flash,
		 UIRsrcMgr::Rsrc habitual,
		 int duration)
{
	 int result;
	 ::SDL_Rect rect = drawable_area;
	result = ::SDL_BlitSurface(UIRsrcMgr::Instance()->GetResource(flash),
		NULL, m_screen, &rect);
	if (result != 0) {
		SDL_ERROR();
		return result;
	}
	UpdateRect(m_screen, rect);

	usleep(duration);

	rect = drawable_area;
	result = ::SDL_BlitSurface(UIRsrcMgr::Instance()->GetResource(habitual),
		NULL, m_screen, &rect);
	if (result != 0) {
		SDL_ERROR();
		return result;
	}
	return 0;
}


