/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

struct rsrc_file_t {
	const char      *file;          
	::SDL_Surface   *surface;
	bool            isLocalizable;  

	UIRsrcMgr::Module   align;
};  

static rsrc_file_t rsrc_files[] = {
	{"icnSelector.png",NULL,	false,	UIRsrcMgr::ModEMP},
	{"icnSelectorOn.png",NULL,	false,	UIRsrcMgr::ModEMP},
	{"icnFolder.png",	NULL,	false,	UIRsrcMgr::ModEMP},
	{"icnFolderParent.png",NULL,false,	UIRsrcMgr::ModEMP},
	{"icnJPEG.png",		NULL,	false,	UIRsrcMgr::ModEMP},
	{"icnMPEG.png",		NULL,	false,	UIRsrcMgr::ModEMP},
	{"icnSIT1.png",		NULL,	false,	UIRsrcMgr::ModEMP},
	{"icnSIT1.png",		NULL,	false,	UIRsrcMgr::ModEMP},
	{"icnSIT1.png",		NULL,	false,	UIRsrcMgr::ModEMP},
	{"icnNetRenew.png",	NULL,	false,	UIRsrcMgr::ModEMP},
	
	{"btbBtnSelector.png",NULL,	false,	UIRsrcMgr::ModAll},
	{"btbBtnSelectorOn.png",NULL,false,	UIRsrcMgr::ModAll},
	{"btbBtn.png",		NULL,	false,	UIRsrcMgr::ModAll},
	{"btbBtnBlue.png",	NULL,	false,	UIRsrcMgr::ModAll},

	{"btbNxPage.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"btbPvPage.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"btbThmb.png",		NULL,	true,	UIRsrcMgr::ModEMP},
	{"btbIcon.png",		NULL,	true,	UIRsrcMgr::ModEMP},
	{"btbOK.png",		NULL,	true,	UIRsrcMgr::ModAll},
	{"btbCancel.png",	NULL,	true,	UIRsrcMgr::ModAll},
	{"btbInit.png",	    NULL,	true,	UIRsrcMgr::ModAll},
	{"btbBtnAdvanced.png",NULL,	true,	UIRsrcMgr::ModCONF},
    {"btbBasic.png",    NULL,   true,   UIRsrcMgr::ModCONF},
    {"btbTagMail.png",  NULL,   true,   UIRsrcMgr::ModCONF},
    {"btbTagSNMP.png",  NULL,   false,  UIRsrcMgr::ModCONF},
    {"btbTagCCX.png",	NULL,	true,	UIRsrcMgr::ModCONF},
	{"btbTagLEAP.png",	NULL,	true,	UIRsrcMgr::ModCONF},
	{"btbTagPSK.png",	NULL,	true,	UIRsrcMgr::ModCONF},
	{"btbTagWPA.png",	NULL,	true,	UIRsrcMgr::ModCONF},
	{"btbSecurity.png",	NULL,   true,  	UIRsrcMgr::ModCONF},
	{"btbEject.png",	NULL,	false,	UIRsrcMgr::ModEMP},

	{"propUnselectedL.png",NULL,false,	UIRsrcMgr::ModEMP},
	{"propUnselectedB.png",NULL,false,	UIRsrcMgr::ModEMP},
	{"propUnselectedR.png",NULL,false,	UIRsrcMgr::ModEMP},
	{"propSelectedL.png",NULL,	false,	UIRsrcMgr::ModEMP},
	{"propSelectedB.png",NULL,	false,	UIRsrcMgr::ModEMP},
	{"propSelectedR.png",NULL,	false,	UIRsrcMgr::ModEMP},
	{"propShadowL.png",	NULL,	false,	UIRsrcMgr::ModEMP},
	{"propShadowB.png",	NULL,	false,	UIRsrcMgr::ModEMP},
	{"propShadowR.png",	NULL,	false,	UIRsrcMgr::ModEMP},
	{"propOnL.png",		NULL,	false,	UIRsrcMgr::ModEMP},
	{"propOnB.png",		NULL,	false,	UIRsrcMgr::ModEMP},
	{"propOnR.png",		NULL,	false,	UIRsrcMgr::ModEMP},

	{"propOpFldr.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"propPlSlShow.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"propSetOpt.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"propPlSce.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"propEdSce.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"propPlPict.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"propPlMovie.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"propMove.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"propShowHide.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"propCancel.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"propToUp.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"propSetting.png",	NULL,	true,	UIRsrcMgr::ModEMP},

	{"optRepeat.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"optInterval.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"optSort.png",		NULL,	true,	UIRsrcMgr::ModEMP},
	{"optEffect.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"optUIMode.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"optHLine.png",	NULL,	false,	UIRsrcMgr::ModEMP},

	{"rbtnBtnOn.png",	NULL, false,	UIRsrcMgr::ModAll},
	{"rbtnBtnOff.png",	NULL, false,	UIRsrcMgr::ModAll},
	{"rbtnBtnDisabled.png",NULL,false,	UIRsrcMgr::ModAll},
	{"rbtnBtnSelector.png",NULL,false,	UIRsrcMgr::ModAll},
	{"rbtnBtnSelectorOn.png",NULL,false,UIRsrcMgr::ModAll},
	{"rbtnTag10sec.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"rbtnTag20sec.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"rbtnTag30sec.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"rbtnTag1min.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"rbtnTagDisolve.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"rbtnTagNone.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"rbtnTagOn.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"rbtnTagOff.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"rbtnTagSortName.png",NULL,true,	UIRsrcMgr::ModEMP},
	{"rbtnTagSortTime.png",NULL,true,	UIRsrcMgr::ModEMP},
	{"rbtnTagWipe1.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"rbtnTagWipe2.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"rbtnTagGuideMode.png",NULL,true,	UIRsrcMgr::ModEMP},
	{"rbtnTagQuickMode.png",NULL,true,	UIRsrcMgr::ModEMP},
	{"rbtnTagNetEasy.png",NULL,	true,	UIRsrcMgr::ModCONF},
	{"rbtnTagNetAP.png", NULL,	true,	UIRsrcMgr::ModCONF},
	{"rbtnTagWEP.png",  NULL,	false,	UIRsrcMgr::ModCONF},
	{"rbtnTagWipe.png",  NULL,	true,	UIRsrcMgr::ModEMP},
	{"rbtnTagRnd.png",  NULL,	true,	UIRsrcMgr::ModEMP},
    
	{"chkEmpty.png",     NULL,  false,  UIRsrcMgr::ModCONF},
	{"chkChecked.png",   NULL,  false,	UIRsrcMgr::ModCONF},

	{"navIconEnter.png",NULL,	false,	UIRsrcMgr::ModAll},
	{"navIconEnter.png",NULL,	true,	UIRsrcMgr::ModAll},
	{"navIconEscape.png",NULL,	false,	UIRsrcMgr::ModAll},
	{"navIconEscape.png",NULL,	true,	UIRsrcMgr::ModAll},
	{"navIconCursors.png",NULL,	false,	UIRsrcMgr::ModAll},
	{"navIconPageUp.png",NULL,	false,	UIRsrcMgr::ModAll},
	{"navIconPageDown.png",NULL,false,	UIRsrcMgr::ModAll},
	{"navIconArwVert.png",NULL,	false,	UIRsrcMgr::ModAll},
	{"navIconArwHorz.png",NULL,	false,	UIRsrcMgr::ModAll},

	{"navTagDecide.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"navTagSelect.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"navTagNextPage.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"navTagPrevPage.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"navTagBack.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"navTagCancel.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"navTagOpFolder.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"navTagProperty.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"navTagPlMovie.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"navTagPlPict.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"navTagPlScenario.png",NULL,true,	UIRsrcMgr::ModEMP},
	{"navTagShowPict.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"navTagHidePict.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"navTagToUp.png",NULL,		true,	UIRsrcMgr::ModEMP},
	{"navTagMove.png",NULL,		true,	UIRsrcMgr::ModEMP},
	{"navTagToTop.png",NULL,	true,	UIRsrcMgr::ModCONF},
	{"navTagMoveCursor.png",NULL,true,	UIRsrcMgr::ModCONF},
	{"navTagRotation.png",NULL,	true,	UIRsrcMgr::ModEMP},
	{"navTagSetting.png",NULL,	true,	UIRsrcMgr::ModEMP},

	{"dlgBackground.png",NULL,	false,	UIRsrcMgr::ModAll},
	{"dlgExit.png",		NULL,	true,	UIRsrcMgr::ModAll},
	{"dlgContinue.png",	NULL,	true,	UIRsrcMgr::ModAll},

	{"sedSelector.png",	NULL,	false,	UIRsrcMgr::ModEMP},
	{"sedSelectorOn.png",NULL,	false,	UIRsrcMgr::ModEMP},
	{"sedMarker.png",	NULL,	false,	UIRsrcMgr::ModEMP},
	{"sedMarkerOn.png",	NULL,	false,	UIRsrcMgr::ModEMP},
	{"sedDisable.png",	NULL,	false,	UIRsrcMgr::ModEMP},

	{"pvtFolder.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"pvtPreview.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"pvtOption.png",	NULL,	true,	UIRsrcMgr::ModEMP},
	{"pvtShow.png",		NULL,	true,	UIRsrcMgr::ModEMP},
	{"pvtHide.png",		NULL,	true,	UIRsrcMgr::ModEMP},
	{"pvtMoveFile.png",	NULL,	true,	UIRsrcMgr::ModEMP},

	{"cfgFrameL.png",	NULL,	false,	UIRsrcMgr::ModCONF},
	{"cfgFrameM.png",	NULL,	false,	UIRsrcMgr::ModCONF},
	{"cfgFrameR.png",	NULL,	false,	UIRsrcMgr::ModCONF},
	{"cfgAntennaOn.png",NULL,	false,	UIRsrcMgr::ModCONF},
	{"cfgAntennaOff.png",NULL,	false,	UIRsrcMgr::ModCONF},
	{"cfgAntennaGray.png",NULL,	false,	UIRsrcMgr::ModCONF},
	{"cfgAntenna.png",  NULL,	true,	UIRsrcMgr::ModCONF},
	{"cfgTtlNetwork.png",NULL,	true,	UIRsrcMgr::ModCONF},
	{"cfgTtlWiredBasic.png",NULL,true,	UIRsrcMgr::ModCONF},
	{"cfgTtlWlessBasic.png",NULL,true,	UIRsrcMgr::ModCONF},
	{"cfgTtlCPOption.png",NULL,	true,	UIRsrcMgr::ModCONF},

	{"dlgMsgBg.png",	NULL,	false,	UIRsrcMgr::ModAll},
	{"msgQuitScenario.png",	NULL,true,	UIRsrcMgr::ModEMP},
	{"msgQuitSlideshow.png",NULL,true,	UIRsrcMgr::ModEMP},
	{"msgQuitMovie.png",NULL,	true,	UIRsrcMgr::ModAll},
	
	{"msgAcquireDHCP.png",NULL,true,	UIRsrcMgr::ModCONF},
	{"msgAuthenticating.png",NULL,true,	UIRsrcMgr::ModCONF},
	{"msgCertFailure.png",NULL,true,	UIRsrcMgr::ModCONF},
	{"msgSetFailure.png",NULL,true,		UIRsrcMgr::ModCONF},
    
    {"setDHCPSet.png",  NULL, true,     UIRsrcMgr::ModCONF},
    {"setEss.png",      NULL, true,     UIRsrcMgr::ModCONF},
    {"setGateway.png",  NULL, true,     UIRsrcMgr::ModCONF},
    {"setIPAddress.png",NULL, true,     UIRsrcMgr::ModCONF},
    {"setKeyword.png",  NULL, true,     UIRsrcMgr::ModCONF},
    {"setMacAddress.png",NULL,true,     UIRsrcMgr::ModCONF},
    {"setPassword.png", NULL, true,     UIRsrcMgr::ModCONF},
    {"setPName.png",    NULL, true,     UIRsrcMgr::ModCONF},
    {"setSubnet.png",   NULL, true,     UIRsrcMgr::ModCONF},
    {"setTrapIP1.png",  NULL, true,     UIRsrcMgr::ModCONF},
    {"setTrapIP2.png",  NULL, true,     UIRsrcMgr::ModCONF},
    {"setSeparator.png",NULL, false,    UIRsrcMgr::ModCONF},
    {"setInputL.png",	NULL, false,	UIRsrcMgr::ModCONF},
    {"setInputR.png",	NULL, false,	UIRsrcMgr::ModCONF},
    {"setStr128Bit.png", NULL, true,    UIRsrcMgr::ModCONF},
    {"setStr1.png",     NULL, false,    UIRsrcMgr::ModCONF},
    {"setStr2.png",     NULL, false,    UIRsrcMgr::ModCONF},
    {"setStr3.png",     NULL, false,    UIRsrcMgr::ModCONF},
    {"setStr40Bit.png", NULL,  true,    UIRsrcMgr::ModCONF},
    {"setStr4.png",     NULL, false,    UIRsrcMgr::ModCONF},
    {"setStrHEX.png",   NULL, false,    UIRsrcMgr::ModCONF},
    {"setStrText1.png", NULL,  true,    UIRsrcMgr::ModCONF},
    {"setStrText2.png", NULL,  true,    UIRsrcMgr::ModCONF},
    {"setStrText3.png", NULL,  true,    UIRsrcMgr::ModCONF},
    {"setCooling.png",    NULL,   true,   UIRsrcMgr::ModCONF},
    {"setFanErr.png",     NULL,   true,   UIRsrcMgr::ModCONF},
    {"setIntErr.png",     NULL,   true,   UIRsrcMgr::ModCONF},
    {"setLampCvr.png",    NULL,   true,   UIRsrcMgr::ModCONF},
    {"setLampOut.png",    NULL,   true,   UIRsrcMgr::ModCONF},
    {"setLampReplc.png",  NULL,   true,   UIRsrcMgr::ModCONF},
    {"setLampTimer.png",  NULL,   true,   UIRsrcMgr::ModCONF},
    {"setMailNotify.png", NULL,   true,   UIRsrcMgr::ModCONF},
    {"setNoSignal.png",   NULL,   true,   UIRsrcMgr::ModCONF},
    {"setNofEvent.png",   NULL,   true,   UIRsrcMgr::ModCONF},
    {"setSctyPassword.png",NULL,  true,   UIRsrcMgr::ModCONF},
    {"setUserName.png",	  NULL,   true,   UIRsrcMgr::ModCONF},	 
    {"setSMTPAdr1.png",   NULL,   true,   UIRsrcMgr::ModCONF},
    {"setSMTPAdr2.png",   NULL,   true,   UIRsrcMgr::ModCONF},
    {"setSMTPAdr3.png",   NULL,   true,   UIRsrcMgr::ModCONF},
    {"setSMTPPort.png",   NULL,   true,   UIRsrcMgr::ModCONF},
    {"setSMTPSrv.png",    NULL,   true,   UIRsrcMgr::ModCONF},
    {"setSnsrErr.png",    NULL,   true,   UIRsrcMgr::ModCONF},
    {"setTempErr.png",    NULL,   true,   UIRsrcMgr::ModCONF},
    {"setWEPEncKey.png",  NULL,   true,   UIRsrcMgr::ModCONF},
    {"setWEPEnc.png",     NULL,   true,   UIRsrcMgr::ModCONF},
    {"setWEPInput.png",   NULL,   true,   UIRsrcMgr::ModCONF},
    {"setWEPKeyID.png",   NULL,   true,   UIRsrcMgr::ModCONF},
    {"setNetwork.png",    NULL,   true,   UIRsrcMgr::ModCONF},
    {"setStrSmall1.png",  NULL,  false,   UIRsrcMgr::ModCONF},
    {"setStrSmall2.png",  NULL,  false,   UIRsrcMgr::ModCONF},
    {"setStrSmall3.png",  NULL,  false,   UIRsrcMgr::ModCONF},

    
    {"btnClr.png",              NULL,   false,  UIRsrcMgr::ModCONF},
    {"btnClrSelectorOff.png",   NULL,   false,  UIRsrcMgr::ModCONF},
    {"btnClrSelectorOn.png",    NULL,   false,  UIRsrcMgr::ModCONF},
    {"btnClrLabel.png",         NULL,   true,   UIRsrcMgr::ModCONF},

    
    {"navBtn.png",      NULL, false,    UIRsrcMgr::ModVNC},
    {"navBtnGray.png",  NULL, false,    UIRsrcMgr::ModVNC},
    {"navBtnPress.png", NULL, false,    UIRsrcMgr::ModVNC},
    {"navBtnSelect.png",NULL, false,    UIRsrcMgr::ModVNC},    
    {"navBtnLabel.png", NULL, true,     UIRsrcMgr::ModVNC},
    {"labGuide1.png",   NULL, true,     UIRsrcMgr::ModVNC},
    {"labGuide2-1.png", NULL, true,     UIRsrcMgr::ModVNC},
    {"labGuide2-2.png", NULL, true,     UIRsrcMgr::ModVNC},
    {"labGuide2-3.png", NULL, true,     UIRsrcMgr::ModVNC},
    {"labGuide2-4.png", NULL, true,     UIRsrcMgr::ModVNC},
    {"labGuide3.png",   NULL, true,     UIRsrcMgr::ModVNC},
    {"labGuide4.png",   NULL, true,     UIRsrcMgr::ModVNC},
    {"msgBarBack1.png", NULL, false,    UIRsrcMgr::ModVNC},
    {"msgBarBack2.png", NULL, false,    UIRsrcMgr::ModVNC},

	
    {"cfgSetWired.png", NULL,  true,    UIRsrcMgr::ModCONF},
    {"cfgSetWireless.png",NULL,true,    UIRsrcMgr::ModCONF},
    {"cfgSetNetwork.png", NULL,true,	UIRsrcMgr::ModCONF},

    
    {"stuPjName.png",	NULL,	true,	UIRsrcMgr::ModCONF},
    {"stuTitleCard.png",NULL,	true,	UIRsrcMgr::ModNone},
    {"stuTitleDSC.png", NULL,	true,   UIRsrcMgr::ModNone},
    {"stuTitleWired.png",NULL,	true,	UIRsrcMgr::ModNone},   
    {"stuTitleWless.png",NULL,	true,	UIRsrcMgr::ModNone},
    {"stuEssid.png",     NULL,  false,   UIRsrcMgr::ModNone},
    {"stuIPAddress.png", NULL,  true,   UIRsrcMgr::ModNone},
    {"stuColon.png",	NULL,	false,	UIRsrcMgr::ModNone},	
    {"stuKeyword.png",	NULL,	true,	UIRsrcMgr::ModNone},
    
    {"stuTitle.png",	NULL,	true,	UIRsrcMgr::ModEMP},
    {"stuNsTitle.png",	NULL,	true,	UIRsrcMgr::ModEMP},
    {"stuCpTitleUsb.png",	NULL,	true,	UIRsrcMgr::ModEMP},
    {"stuNsDsc.png",	NULL,	true,	UIRsrcMgr::ModEMP},
    {"stuCpDscUsb.png",	NULL,	true,	UIRsrcMgr::ModEMP},

	{"nofFileNotFound.png",NULL,true,	UIRsrcMgr::ModEMP},
	{"nofBadFile.png",	NULL,	true,	UIRsrcMgr::ModEMP}
};


