/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include "config.h"


#include "Item.h"

#include "View.h"

#if 0
int View::
Activate	()
{
	DebugF("View::Activate\n");
	if (m_active) {
		SetBtnBox();
		return 0;
	}
	Grain::Activate();
	SetBtnBox();
	
	ListItem *p = ListItem::GetSelectedItem(m_child);
	if (!p) {
		return 0;
	}
	 int result = p->Draw();
	if (result != 0) {
		return result;
	}
	p->Update();
	return 0;
}

int View::
Deactivate	()
{
	DebugF("View::Deactivate\n");
	Grain::Deactivate();
	SetBtnBox();

	ListItem *p = ListItem::GetSelectedItem(m_child);
	if (!p) {
		return 0;
	}
	 int result = p->Draw();
	if (result != 0) {
		return result;
	}
	p->Update();

	return 0;
}
#endif

ProcStatus View::
Callback	(const BtnBoxItem::BtnType type)
{
	DebugF("View::Callback() %d\n", type);
	 register View *target = BtnBox::Instance()->GetTarget();

	switch (type) {
	case BtnBoxItem::BtnUp:
		SelectLastItem();
		break;
	case BtnBoxItem::BtnDown:
		SelectTopItem();
		break;
	default:
		break;
	}

	if (target) {
		BtnBox::Instance()->UnsetTarget(target);
	}

	return ProcEnd;
}

int View::
SetBtnBox	()
{
	return 0;
}

int View::
SetNavGuide	()
{
	return 0;
}

int View::
Draw()
{
	 int result;
	if (!BtnBox::Instance()) {
		return -1;
	}
	result = BtnBox::Instance()->Draw();
	if (result != 0) {
		return result;
	}
	return 0;
}

#if 0

int View::
DrawPage	(const int	ITEMS_PER_PAGE,
			 const bool	update_each_item)
{
	 int num = Item::GetSelectedItemNum(m_child);
	if (num < 0) {
        return -1;
	}

    
	 int cur_page =  num / ITEMS_PER_PAGE;
	 Grain *p = m_child;
	for (int i = 0; i < cur_page; i++) {
		for (int j = 0; (j < ITEMS_PER_PAGE) && p; j++) {
			p = p->GetNext();
		}
	}

    
	 int result;
	for (int k = 0; (k < ITEMS_PER_PAGE) && p; k++) {
		ASSERT(dynamic_cast<ListItem *>(p));
		result = reinterpret_cast<ListItem *>(p)->Draw(false);
		if (result != 0) {
			return result;
		}
		
		if (update_each_item) {
			p->Update();
		}
		p = p->GetNext();
	}
	return 0;
}
#endif

int View::
SelectLastItem()
{
	return 0;
}

int View::
SelectTopItem()
{
	return 0;
}


