/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/








#ifndef ___LIBKEYINPUT_H___
#define ___LIBKEYINPUT_H___

#include "lki_ecode.h"
#include "lki_cmd_idx.h"




#define ESCVP21_CMDHEAD_MAXLEN	15				
#define ESCVP21_MAXLEN			128					
#define ESCVP21_DELIMITER		0x0D				
#define ESCVP21_DELIMITER_S		"\x0D"				
#define ESCVP21_STATUS_ERR		"ERR"				
#define ESCVP21_STATUS_SUCCESS	':'					
#define ESCVP21_STATUS_SUCCESS_S	":"				




#define LKI_SUCCESS					0	
#define LKI_ERR_FATAL				-1	
#define LKI_ERR_ESCVP21				-2	
#define LKI_ERR_XMODEM				-3	
#define LKI_ERR_CMD_NOT				-4	
#define LKI_ERR_CMD_CODE			-5	
#define LKI_ERR_CMD_NON_DELIMITER	-6	
#define LKI_ERR_CMD_OVERLENGTH		-7	
#define LKI_ERR_CMD_PARAMRANGE		-8	
#define LKI_ALREADY_CONNECT			-9	
#define LKI_TIMEOUT					-10	
#define LKI_DISCONNECT				-11 
#define LKI_ERR_CMD					-12	





typedef struct tagCmdTbl{
	char    sCmd[ESCVP21_CMDHEAD_MAXLEN+1];	
	int iClass;							
	int iTo;							
	unsigned long   iEvID;				
	unsigned char   cEvParam[3];		
	int iPrmNum;						
	int iPrmType[3];					
}CMDTBL;
                                                                                
#if __cplusplus
extern "C" {
#endif 





int LKI_OpenSocket(const char* pAddr);
int LKI_CloseSocket(void);
int LKI_OpenCmdSocket(const char* pAddr);
int LKI_CloseCmdSocket(void);
int LKI_OpenEventSocket(const char* pAddr);
int LKI_CloseEventSocket(void);


int LKI_SetAcceptableEvent(const int iEvent);
int LKI_GetAcceptableEvent(unsigned int* pEvent);


int LKI_ComSequence(const char* pSend, char** ppReceive);
int LKI_ComSequenceINT(int iFd, const char* pSend, char** ppReceive);
int LKI_ComSequence2(const COMID eID, const char* pParam, char** ppRet);
int LKI_ReceiveEventWait(char** ppReceive, const int iSec, const int iMSec);


int LKI_StrCmdLen(int iFlg, const char* pBuff);
int LKI_Ascii2Bin(const char* pHex, unsigned char** ppBin);
int LKI_Encode21(char* pBuff, COMID eID, const char* pParam);
int LKI_GetCmdID(const char* pCmd);
CMDTBL* LKI_GetCmdInfo(const char* pCmd);
int LKI_GetCmdInfoID(const int iID, CMDTBL* pInfo);

int LKI_Send(COMID id, const char *parm);
size_t LKI_Receive(COMID id, const char *parm, char *ptr, size_t size);

#if __cplusplus
}
#endif 

#endif 

