/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#ifndef LKI_ECODE_H
#define LKI_ECODE_H

#ifdef __cplusplus
extern "C" {
#endif


enum {
	kPWStatEv		= 0x00000001,	
#define EV_PWSTATUS	kPWStatEv
	kKeyMakeEv		= 0x00000002,	
#define EV_KEYMAKE	kKeyMakeEv
	kKeyBreakEv		= 0x00000004,	
#define EV_KEYBREAK	kKeyBreakEv
	kIMVerEv		= 0x00000008,	
#define EV_IMVER	kIMVerEv
	kLangChgEv		= 0x00000010,	
#define	EV_LANG		kLangChgEv
	kSrcChgEv		= 0x00000020,	
#define EV_SOURCE	kSrcChgEv
	kDirChgEv		= 0x00000040,	
#define EV_DIRCHG	kDirChgEv
	kPrjIDChgEv		= 0x00000080,	
#define EV_PRJID	kPrjIDChgEv
	kNWCfgChgEv		= 0x00000100,	
#define EV_NWSET	kNWCfgChgEv
	kNWInfGetEv		= 0x00000200,	
#define EV_MACWRITE	kMacWriteEv
	kMacWriteEv		= 0x00000400,	
#define EV_MACREAD_H	kMacReadHEv
	kMacReadHEv		= 0x00000800,	
#define EV_NWGET	kNWInfGetEv
	k_NWResetEv		= 0x00008000	
#define EV__NWRESET	k_NWResetEv
};

enum {
	kPWStat1Stdby	= 1,
#define EV_PWSTAT1_STANDBY	kPWStat1Stdby
	kPWStat1WrmUp	= 2,
#define EV_PWSTAT1_WARMUP	kPWStat1WrmUp
	kPWStat1Nrml	= 3,
#define EV_PWSTAT1_NORMAL	kPWStat1Nrml
	kPWStat1ClDwn	= 4
#define EV_PWSTAT1_COOLDOWN	kPWStat1ClDwn
};

enum {
	kPWStat2LmpOvr  = 0x0001,
	kPWStat2NoSgnl	= 0x0002,
	kPWStat2UnknSgnl= 0x0004,
	kPWStat2AirFltr	= 0x0008,
	kPWStat2HghTmp	= 0x0010,
	kPWStat2ChgAspct= 0x0020
};

enum {
	kPWStat3LmpFld	= 0x0001,
	kPWStat3LmpCvr	= 0x0002,
	kPWStat3LmpOff	= 0x0004,
	kPWStat3Fan		= 0x0008,
	kPWStat3TmpSnsr = 0x0010,
	kPWStat3HghTmp	= 0x0020,
	kPWStat3Intrnl	= 0x0040
};

enum {
	kDirChgUpSdDwn	= 0x01,		
	kDirChgRear		= 0x02		
};

enum {
	kNWCfgIP		= 0x0001,
	kNWCfgGW		= 0x0002,
	kNWCfgMask		= 0x0004,
	kNWCfgTrapIP1	= 0x0008,
	kNWCfgTrapIP2	= 0x0010,
	kNWCfgDHCP		= 0x0020,
	kNWCfgCName		= 0x0040,
	kNWCfgMAC		= 0x0080
};

#ifdef __cplusplus
}
#endif

#endif 
