#! /bin/sh
#
# network 1.84 2001/12/01 01:17:50 (David Hinds)
#
# Initialize or shutdown a PCMCIA ethernet adapter
#
# This script should be invoked with two arguments.  The first is the
# action to be taken, either "start", "stop", or "restart".  The
# second is the network interface name.
#
# The script passes an extended device address to 'network.opts' in
# the ADDRESS variable, to retrieve device-specific configuration
# options.  The address format is "scheme,socket,instance,hwaddr"
# where "scheme" is the current PCMCIA device configuration scheme,
# "socket" is the socket number, "instance" is used to number multiple
# interfaces in a single socket, and "hwaddr" is the card's hardware
# ethernet address.
#
ACTION=$1
DEVICE=$2
HWADDR=`/sbin/ifconfig $DEVICE | sed -ne 's/.*\(..:..:..:..:..:..\).*/\1/p'`

case "$ACTION" in

'start')
    ifconfig $DEVICE up

    /usr/epson/bin/vsend ADDNETWORK $DEVICE
    ;;

'stop')
    /usr/epson/bin/vsend DELNETWORK $DEVICE

    ifconfig $DEVICE down
    ;;

'check')
    ;;

'cksum')
    if [ $WIRELESS = 1 ] ; then exit 1 ; fi
    chk_simple "$NEW_SCHEME,$SOCKET,$INSTANCE,$HWADDR" || exit 1
    ;;

'restart')
    [ -n "$IPADDR" ] && /sbin/ifconfig $DEVICE down up
    ;;

'suspend'|'resume')
    ;;

*)
    echo "unexpected action $ACTION"
    ;;

esac

exit 0
