/*
 *  Copyright (c) by Shuu Yamaguchi <shuu@dotaster.com>
 *
 *  $Id: print.c,v 1.1.1.1 2003/10/14 07:51:34 acyr Exp $
 *
 *  Can be freely distributed and used under the terms of the GNU GPL.
 */
#include	<stdio.h>
#include	<unistd.h>

#include	"murasaki_ieee1394.h"
#include	"murasaki.h"

void
print_config(void *conf)
{
	MU_ieee1394_config_t *config = conf;

	config->match_flags = 0;
	if (config->vendor != 0)
		config->match_flags |= IEEE1394_MATCH_VENDOR_ID;
	/* 'model' is ignored */
#if 0
	if (config->model != 0)
		config->match_flags |= IEEE1394_MATCH_MODEL_ID;
#else
		config->model = 0;
#endif
	if (config->specifier != 0)
		config->match_flags |= IEEE1394_MATCH_SPECIFIER_ID;
	if (config->version != 0)
		config->match_flags |= IEEE1394_MATCH_VERSION;

	syslog(LOG_LEVEL,"MODULE 0x%08x 0x%06x 0x%06x 0x%06x 0x%06x",
		config->match_flags,
		config->vendor,
		config->model,
		config->specifier,
		config->version);
}

void
inform_config(void *conf)
{
	MU_ieee1394_config_t *config = conf;

	/* ignore guid */
	syslog(LOG_LEVEL, "vendor:0x%x specifier:0x%x version:0x%x",
		config->vendor,
		config->specifier,
		config->version);
}
