/*
 *  Copyright (c) by Shuu Yamaguchi <shuu@dotaster.com>
 *
 *  $Id: execute.c,v 1.3 2004/01/15 09:48:38 nozomi Exp $
 *
 *  Can be freely distributed and used under the terms of the GNU GPL.
 */
#include	<stdio.h>
#include	<unistd.h>
#include	<errno.h>
#include	<limits.h>
#include	<sys/types.h>
#include	<sys/stat.h>
#include	"murasaki.h"
#include	"env.h"

#define		UP_CMD		MU_NET_UP
#define		DOWN_CMD	MU_NET_DOWN

#define		FORK_ON	1
#define		FORK_OFF	0

#define		SCRIPT_MAX_ARG	3
static void
executing(char *path,char *argv[],int process)
{
    pid_t pid;

        pid = fork();
        switch(pid) {
        case -1:
            syslog(LOG_LEVEL,"fork error err=%d",errno);
            break;
        case 0: /* child */
            execvp(path,argv);
            syslog(LOG_LEVEL,"exec error \"%s\" err=%d",path,errno);
            break;
        default:    /* parent */
            wait(NULL);
            break;
        }
}

int
net_dev_cntl(struct mu_op *opp,int action)
{
	char *arg[4];
	MU_net_config_t *config = opp->config;

#if 0
	arg[0] = "/sbin/ifconfig";
	arg[1] = config->name;
	if (action == ACTION_ADD) {
		arg[2] = UP_CMD;
	} else { 
		arg[2] = DOWN_CMD;
	}
	arg[3] = NULL;
	syslog(LOG_LEVEL, "executing %s %s %s", arg[0], arg[1], arg[2]);
	executing(arg[0], arg, FORK_ON);
#endif

	arg[0] = "/usr/epson/etc/murasaki/net.sh";
	if (action == ACTION_ADD) {
		arg[1] = "start";
	} else {
		arg[1] = "stop";
	}
	arg[2] = config->name;
	arg[3] = NULL;
	syslog(LOG_LEVEL, "executing %s %s %s", arg[0], arg[1], arg[2]);
	executing(arg[0], arg, FORK_ON);    /* not come back */	

	return INVALID;
}
