/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This file is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This file is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef DIALOG_H
#define DIALOG_H

#include "BaseDialog.h"

const ::SDL_Rect VNES_DIALOG_DEFAULT_RECT = {0, 542, 1024, 226};

class NavGuide;
class InfoBar;
class StatusBar;


class Dialog : public BaseDialog {
public:
	Dialog					(SDL_Surface *screen,
							 const ::SDL_Rect &rect = VNES_DIALOG_DEFAULT_RECT);

    ~Dialog				    ();

public: 
	int			Init		();

	int			Draw		();

	void		Update		();

	ProcStatus	Event		(const ::SDL_Event& event);

public:
	
	void		DoCallback	(DlgBtn::BtnType type);

    void        UpdateResources();

	void		SelectButton(DlgBtn::BtnType type);

protected:
	
	int			SetNavGuide	();

private:
    void        CreateStatusBar();
	void		UpdateAlpha(const SDL_Rect& rect, unsigned char val);

protected:
	
	NavGuide*   m_NavGuide;

	
	InfoBar*    m_InfoBar;

    
    StatusBar*  m_msgbar;
};

#endif 
