/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This file is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This file is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include "config.h"
#include "DialogBtn.h"


DialogBtn::DialogBtn(::SDL_Surface		*screen,
					 const ::SDL_Rect&	rect,
					 BtnType			type)
	: DlgBtn(screen, rect, type)
{
}



DialogBtn::~DialogBtn()
{
}

int
DialogBtn::Draw()
{
	int result;

	result = StoreOrigImage();
	if (result != 0) {
		return result;
	}

	result = RestoreOrigImage();
	if (result != 0) {
		return result;
	}

	result = DlgBtn::Draw();
	if (result != 0) {
		return result;
	}
	
	return 0;
}



ProcStatus
DialogBtn::DoRight()
{
	DialogBtn *p;
	if (m_next) {
		assert(dynamic_cast<DialogBtn *>(m_next));
		p = reinterpret_cast<DialogBtn *>(m_next);
	} else {
		assert(dynamic_cast<DialogBtn *>(GetTopGrain(this)));
		p = reinterpret_cast<DialogBtn *>(GetTopGrain(this));
	}

	Unselect();
	p->Select();

	Draw();
	p->Draw();

	Update();
	p->Update();

	return ProcKeepGoing;
}



ProcStatus
DialogBtn::DoLeft()
{
	DialogBtn *p;
	if (m_prev) {
		assert(dynamic_cast<DialogBtn *>(m_prev));
		p = reinterpret_cast<DialogBtn *>(m_prev);
	} else {
		assert(dynamic_cast<DialogBtn *>(GetBottomGrain(this)));
		p = reinterpret_cast<DialogBtn *>(GetBottomGrain(this));
	}

	Unselect();
	p->Select();

	Draw();
	p->Draw();

	Update();
	p->Update();

	return ProcKeepGoing;
}


