/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This file is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This file is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/



#ifndef IMAGEARRAY_H
#define IMAGEARRAY_H

#include <vector>
#include "Grain.h"


class ImageArray : Grain
{
public:
    
	ImageArray(SDL_Surface *screen, const SDL_Rect& rect);

    
	virtual	~ImageArray();

public:
    
	virtual int Init(int size = 0);

    
	virtual int Draw();

    
    
    
    int GetWidth() const;

    
    int GetHeight() const;

    
    void SetHeight(int height);
    
    
    void SetPosition(int x, int y);
    

    
    
    
    int AddCell(SDL_Surface* image, int width);

    
    int RemoveCell(unsigned int index);

    
    SDL_Surface* SetCell(SDL_Surface* image, int width, unsigned int index);

    
    int GetCellCount() const;

    
    int GetCellWidth(unsigned int index) const;
    

private:
    
    struct Cell {
        SDL_Surface* image; 
        int width; 
    };

    
    Cell* CreateNewCell(SDL_Surface* image, int width);

    
    void RecomputeUpdateArea();

    
    virtual int StoreOrigImage();

    
    typedef std::vector<Cell*> CellArray;
    CellArray m_cells; 
};

#endif 
