/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This file is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This file is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/



#ifndef STATUSITEM_H
#define STATUSITEM_H

#include "Grain.h"


const SDL_Rect STATUSITEM_DEFAULT_RECT = { 331, 615, 380, 25 };


class ImageArray;


class StatusItem : Grain
{
public:
    
	StatusItem(SDL_Surface *screen,
               const SDL_Rect& rect = STATUSITEM_DEFAULT_RECT);

    
	virtual	~StatusItem();

public:
    
	virtual int Init();

    
	virtual int Draw();

    
    
    void SetAnchorPoint(int x, int y);

    
    int SetLabelImage(UIRsrcMgr::Rsrc label, int width = 0);

    
    int SetSeparatorImage(UIRsrcMgr::Rsrc separator, int width = 0);

    
    int SetTextData(const char* text, int width = 0);

    
    int GetHeight();

    
    int GetWidth();

private:
    
    enum CellIndex {
        LabelIndex = 0,
        SeparatorIndex = 1,
        TextIndex = 2,
        TotalCells = 3
    };

    ImageArray* m_images; 
};

#endif 
