/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2004. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This file is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This file is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this file; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#if !defined(__VNESCOMMON__H_)
#define __VNESCOMMON__H_


typedef union {
	int     size;			
	char    pad[8];					
} VNESENCRYPTIONHEADER;

typedef struct tagVNeSHeader
{
	char            dwMagicNum[4];
    char            MajorVersion[2];
    char            MinorVersion[2];
	char            dwServerIP[4];
    unsigned long   dwCommand;
    unsigned long   dwDataSize;

} VNESHEADER, *PVNESHEADER;

const char VNES_MAJORVERSION[] = "06";
const char VNES_MINORVERSION[] = "00";


enum VNeSCommand {
    
    
    VNES_NO_OP          = 0,

    
    VNES_ZOOM_RECT      = 1
};

typedef struct tagVNeSUDPHeader
{ 
	VNESHEADER      vnesHeader;
	unsigned long   dwCommandID;
	unsigned long   dwDataID;
	unsigned long   dwFullScrID;
	unsigned long   dwFullScrTotal;

} VNESUDPHEADER, *PVNESUDPHEADER;

const char VNES_MAGICNUMBER[4] = "EPRD";

#endif	
