/*
 *  Copyright (C) 1999 AT&T Laboratories Cambridge.  All Rights Reserved.
 *
 *  This is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 *  USA.
 */

/*
 * argsresources.c - deal with command-line args and resources.
 */

#include "vncviewer.h"


/*
 * appData is our application-specific data which can be set by the user with
 * application resource specs.  The AppData structure is defined in the header
 * file.
 */

AppData appData;


void
SetAppDataDefaults()
{
    appData.shareDesktop = SDL_TRUE;
    appData.viewOnly = SDL_TRUE;
    appData.fullScreen = SDL_TRUE;
    appData.raiseOnBeep = SDL_TRUE;

    appData.encodingsString = 0;
    appData.encryptString = 0;

    appData.useBGR233 = SDL_FALSE;
    appData.nColours = 256;
    appData.useSharedColours = SDL_TRUE;
    appData.forceOwnCmap = SDL_FALSE;
    appData.forceTrueColour = SDL_FALSE;
    appData.requestedDepth = 0;

    appData.useShm = SDL_TRUE;

    appData.wmDecorationWidth = 4;
    appData.wmDecorationHeight = 24;

    appData.passwordFile = 0;
    appData.passwordDialog = SDL_FALSE;

    appData.debug = SDL_FALSE;

    appData.rawDelay = 0;
    appData.copyRectDelay = 0;

    appData.bumpScrollTime = 25;
    appData.bumpScrollPixels = 20;

    appData.compressLevel = -1;
    appData.qualityLevel = -1;
    appData.useRemoteCursor = SDL_TRUE;

    appData.isFinished = SDL_FALSE;

    appData.useZoomRect = SDL_FALSE;

    // default 1024x768x32 bpp
    si.framebufferWidth   = 1024;
    si.framebufferHeight  = 768;
    si.format.bitsPerPixel= 32;
    si.format.depth       = 32;
    si.format.redShift    = 16;
    si.format.greenShift  = 8;
    si.format.blueShift   = 0;
    si.format.redMax      = 255;
    si.format.greenMax    = 255;
    si.format.blueMax     = 255;
    si.format.trueColour  = SDL_TRUE;
}
